# &kde;-gebruikershandleiding

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

&kde; ECMAScript compatibele interpretator

## Samenvatting

    kjs  --help -help -h   -e statement   script

## Beschrijving

`kjs` is de KDE ECMAScript/JavaScript engine.

## Programmaopties

`--help`,`-help`,`-h`

  Gebruik van `kjscmd` tonen.

`-e` `statement`

  Voert het statement uit en is gereed. Bijvoorbeeld:

      kjs -e "print('hallo wereld')"

`script`

  Voert de statements in bestand `script` uit.

## Gebruik

`kjs` `bestand`, gebruikt een regeleditor, zoals vele andere interpretatoren, wanneer deze wordt aangeroepen zonder parameters, voor het invoeren van statements. De prompt

    JS
    >

wordt dan getoond. Om de regeleditor te verlaten typt u `quit()` of drukt u op `Ctrl+D`.

## Zie ook

kjs(1)

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.